import pandas as pd
import numpy as np
from sklearn.cross_validation import train_test_split
from sklearn.metrics import accuracy_score
from sklearn.neighbors import KNeighborsClassifier
from pandas_ml import ConfusionMatrix
import matplotlib.pyplot as plt
df = pd.read_csv('BOZO.csv').drop(['year','month','Date','time'],axis=1)

samples = np.random.randn(len(df))< 0.8
train = df[samples]
test = df[~samples]

labels_train = train.Label
features_train = train.drop('Label',1)

labels_test = test.Label
features_test = test.drop('Label',1)

classifier = KNeighborsClassifier( 5,algorithm='kd_tree')
classifier.fit(train.drop('Label',1),train['Label'])

predictions = pd.Series(classifier.predict(features_test),index=range(0,len(features_test)),name='Predicted')
Evaluating = pd.DataFrame([predictions,labels_test.reset_index(drop=True)]).transpose()

#print accuracy
print Evaluating

CM = ConfusionMatrix(Evaluating['Label'],Evaluating['Predicted'])
CM.plot(normalized=True)
figure = plt.figure('SHOW ME WHAT YOU HAVE GOT!!!')
print CM
#ConfusionMatrix(Evaluating['Predicted'],Evaluating['Label']).plot()
plt.show()
