import menu_Chair
import time
import csv
import pandas as pd
import numpy as np
import datetime
import arduino_stuff
import serial
import MachineLearning_Test_function


name = raw_input('Enter Name: ')

Label = ['Pressure 1','Front Left','Front Right','Front Right+','Mid Left+','Mid Left','Back Top','Back Mid','Back Bottom',
         'Accell X','Accell Y','Accell Z','Gyro X','Gyro Y','Gyro Z','Label','Year','Month','Date','Time']
Label2 = Label

filename = 'C:\Users\osmun\Desktop\Capisco\Datasets/Capisco - %s.csv'%name
myfile= open(filename,'ab')
wr = csv.writer(myfile, quoting=csv.QUOTE_ALL)
csvLogFile = 'C:\Users\osmun\Desktop\Capisco\Datasets/datalog_Capisco - %s.csv' % name
myfile2 = open(csvLogFile, 'ab')
wr2 = csv.writer(myfile2, quoting=csv.QUOTE_ALL)


#check if the file exists, and has a line or more written already
positions = []
try:
    data = pd.read_csv(filename)
    for data in  data.Label.unique():
        positions.append (data)
    print positions
except:

    wr.writerow(Label)
    positions = ['Seat Available','Relaxed','Core Active','Focused','Slouched','Right/Left','Left/Right','Backwards',
                 'Banana','Facing Left','Facing Right','Edge of Seat']


try:
    data = pd.read_csv('datalog_%s.csv' % name)
    csvLogFile = 'datalog_%s.csv' % name
except:
    wr2.writerow(Label)

if 'Seat Available' not in positions:
    positions.append('Seat Available')
date_list= [datetime.datetime.now().year,datetime.datetime.now().month,datetime.datetime.now().day]


newPosition = "start"
tempPos = raw_input("What NEW positions will you be recording? (enter one at the time, or hit enter to continue) ")

if tempPos != "":
    positions.append(tempPos)

while tempPos != "":

    tempPos = raw_input("Any NEW positions will you be recording? (enter one at the time, hit enter to continue)")
    if tempPos != "":
        positions.append(tempPos)

    print positions

print"OK, so your name is %s, we'll run the program now"%name

arduino = arduino_stuff.arduinoStart(8,115200)
#actuators = arduino_stuff.arduinoStart(4,115200) use i2c instead
myfile.close()
menu_Chair.menu_chair(filename,arduino,positions,name,csvLogFile)#actuators


