import DriveUploader2
import serial
import csv
import pandas as pd
import machineLearning
from time import sleep,time
import datetime
from os import system
import os
from random import choice
LowLimit=560
UpLimit=800
LastChange = time()
def buttonPressShutdown():
    myfile.close()
    try:
        DriveUploader2.uploadFile([filename])
    except:
        pass
    print 'shutting down in 5 sec'
    sleep(5)
    system("sudo shutdown -h now")

def analyseSeating(myfile,newPosition):
    myfile.close()
    analyzer = pd.read_csv(filename).Label.tail(900)#last hour
    overview = analyzer.value_counts(normalize = True)
    
    myfile = open(filename,'ab')
    wr = csv.writer(myfile, quoting = csv.QUOTE_ALL)



    if  overview.index[0]!='Seat Available':
        newPosition= choice(range(150,350))
        new =  choice (alternatives)
        if newPosition>oldposition:
            arduinoSens.write('tighter,{0}'.format(newPosition))
            oldposition=newPosition
        elif newPosition<oldposition:
            arduinoSens.write('looser,{0}'.format(newPosition))   
            oldposition = newPosition
        

        global LastChange
        LastChange = time()
        
    return  myfile, wr,newPosition

files = []
for (dirpath, dirnames,filenames) in os.walk('/home/pi/Desktop/Tests'):
    files.append(filenames)
print files
filename = 'Capisco person1 day1.csv'
if filename  in files[0]:
    filename = 'Capisco person1 day2.csv'
if filename in files[0]:
    filename = 'Capisco person2 day1.csv'
if filename in files[0]:
    filename = 'Capisco person2 day2.csv'
filename = '/home/pi/Desktop/Tests/{}'.format(filename )
classifier = machineLearning.training()
arduinoSens = serial.Serial('/dev/ttyACM0',115200)

arduinoSens.write('Startup')
sleep(3)
while arduinoSens.inWaiting ():
    print arduinoSens.read(1)
arduinoSens.write('Position')
oldposition = arduinoSens.readline().rstrip('\r\n')

newPosition=oldposition
print int(oldposition)
try:
    pd.read_csv(filename)
    myfile = open(filename,'ab')
    wr = csv.writer(myfile, quoting = csv.QUOTE_ALL)
except:
    myfile = open(filename,'ab')
    wr = csv.writer(myfile, quoting = csv.QUOTE_ALL)
    arduinoSens.write('yo')
    


    wr.writerow(["Back1","Back2","Back 3","Right","Front Right","Front Left","Left","Rear","Front","Accell X","Accell Y","Accell Z","Gyro X","Gyro Y","Gyro Z","Label","Time","Day","Month","Year","Tilt Resistance"])
print 'It begins! '


while True:
    while arduinoSens.inWaiting ():
        print arduinoSens.read(1)
    arduinoSens.write('Pressure')
    
    data = arduinoSens.readline()
    if 'ShutDown' in data:
        print 'shutdown'
        buttonPressShutdown()
    elif 'Tighter' in data :
        oldposition=str(int(oldposition)+30)
        if int (oldposition)>350:
            oldposition='350'
        arduinoSens.write('tighter,{}'.format(oldposition))
        newPosition=oldposition
    elif 'Looser' in data:
        oldposition= str(int(oldposition)-30)
        if int(oldposition)<150:
            oldposition='150'
        arduinoSens.write('looser,{}'.format(oldposition))
        newPosition = oldposition

    else:    
        data = data.rstrip('\r\n')
        data = data.split(',')

        datapoint = pd.Series(data = data, index = ["Back1","Back2","Back 3","Right","Front Right","Front Left","Left","Rear","Front","Accell X","Accell Y","Accell Z","Gyro X","Gyro Y","Gyro Z"])
        prediction = classifier.predict(datapoint.drop(["Accell X","Accell Y","Accell Z","Gyro X","Gyro Y","Gyro Z"]))
        data.append(prediction[0])
        datapoint.Prediction = prediction[0]
        sleep(.8)
        datapoint = datapoint.append(pd.Series([prediction[0],datetime.datetime.now().time().replace(microsecond=0),datetime.datetime.now().day,datetime.datetime.now().month,datetime.datetime.now().year,newPosition     ],index = ["Label","Time","Day","Month","Year","Tilt Resistance"]))
        print datapoint
        
        wr.writerow(datapoint)
        if  time() - LastChange>900 and 'day2' in filename:
            myfile, wr, oldPosition = analyseSeating(myfile,newPosition)


