/*in1  in2
  LOW   LOW   Motor turned off
  HIGH  LOW   Tighten (move towards position of higher number)
  LOW   HIGH  Loosen (move towards position of lower number)
  HIGH  HIGH  Motor turned off
*/
int MotorControl(int newPosition) {

  if (newPosition != oldPosition) {
    switch (newPosition) {

      case 1:
        digitalWrite(in2, HIGH);
        while (analogRead(LinearPot) > UpLim1) {
        }
        digitalWrite(in2, LOW);
        oldPosition = newPosition;
        break;



      case 2:
        if (oldPosition < newPosition) {
          digitalWrite(in1, HIGH);
          digitalWrite(in2, LOW);
          Serial.println("Tightening");
          while ( analogRead(LinearPot) < LowLim2) {
          }
          digitalWrite(in1, LOW);

        }
        if (oldPosition > newPosition) {
              digitalWrite(in2, HIGH);
        while (analogRead(LinearPot) > UpLim2) {

        }
        digitalWrite(in2, LOW);
          oldPosition = newPosition;

          break;

        }
        oldPosition = newPosition;

        break;



      case 3:
        if (oldPosition < newPosition) {
          digitalWrite(in1, HIGH);
          Serial.println("Tightening");
          while ( analogRead(LinearPot) < LowLim3) {
          }
          digitalWrite(in1, LOW);
        }
        if (oldPosition > newPosition) {
          digitalWrite(in2, HIGH);
          Serial.println("Loosening");
          while (analogRead(LinearPot) > UpLim3) {
          }
        }
        digitalWrite(in2, LOW);
        oldPosition = newPosition;

        break;



      case 4:
        if (oldPosition < newPosition) {
          digitalWrite(in1, HIGH);
          Serial.println("Tightening");
          while ( analogRead(LinearPot) < LowLim4) {
          }
          digitalWrite(in1, LOW);
        }
        if (oldPosition > newPosition) {

          digitalWrite(in2, HIGH);
          Serial.println("Loosening");
          while (analogRead(LinearPot) > UpLim4) {
          }
        }
        digitalWrite(in2, LOW);
        oldPosition = newPosition;

        break;




      case 5:
        digitalWrite(in1, HIGH);
        Serial.println("Tightening");
        while ( analogRead(LinearPot) < LowLim5) {
        }
        digitalWrite(in1, LOW);
        oldPosition = newPosition;

        break;

    }

  }
  delay(100);
  return oldPosition;
}
