//slave1 -- Reprogram motor control for l298n - board... not enough power gets through arduino motor control board... use 9v batteries

#include <Wire.h>

int in1 = 8;
int in2 = 7;
int fakeGround = 4;
int LinearPot = A0;
int SecondGround = 4;

int UpLim1 = 50;
int LowLim2 = 125;
int UpLim2 = 141;
int LowLim3 = 220;
int UpLim3 = 240;
int LowLim4 = 310;
int UpLim4 = 345;
int LowLim5 = 400;
int oldPosition = 0;
int startPos;
void setup() {
  pinMode(in1, OUTPUT);
  pinMode(in2, OUTPUT);
 pinMode(fakeGround,OUTPUT);

 digitalWrite(fakeGround,LOW);  
  digitalWrite(in1, LOW);
  digitalWrite(in2, LOW);

  Serial.begin(115200);

   startPos = analogRead(LinearPot);
  Serial.println(startPos);
  if (startPos <= UpLim1) {
      oldPosition = 1;
  }
  else if (startPos < UpLim2 && startPos >= LowLim2) {
     oldPosition = 2;
  }
  else if (startPos < UpLim3 && startPos >= LowLim3) {
     oldPosition = 3;
  }
  else if (startPos < UpLim4 && startPos >= LowLim4) {
     oldPosition = 4;
  }
  else if (startPos > LowLim5) {
      oldPosition = 5;
  }
  Wire.begin(5);
  Wire.onReceive(receiveEvent);
  Wire.onRequest(requestEvent);
  Serial.println(oldPosition);
}

void loop() {
  while (Serial.available() == 0) {}
  Serial.println(analogRead(LinearPot));
  delay(500);
  // put your main code here, to run repeatedly:
  String SerialMsg = "";
  if (Serial.available() > 0)
  {
    while (Serial.available() > 0)
    {
      SerialMsg += char(Serial.read());
      delayMicroseconds(60);
    }
  }

  if (SerialMsg != ""); {
    int newPosition = SerialMsg.toInt();
    Serial.print ("Old Position:\t");
    Serial.println(oldPosition);
    oldPosition = MotorControl(newPosition);
    Serial.print ("New Position:\t");
    Serial.println(newPosition);
  }


}
int receiveEvent() {
  int newPosition = Wire.read();
  Serial.println (newPosition);
  int   oldPosition = MotorControl (newPosition);
  return oldPosition;
}

int requestEvent() {
 /* int startPos = analogRead(LinearPot);

  if (startPos <= UpLim1) {
    int  oldPosition = 1;
  }
  else if (startPos > UpLim2 && startPos <= LowLim2) {
    int oldPosition = 2;
  }
  else if (startPos > UpLim3 && startPos <= LowLim3) {
    int oldPosition = 3;
  }
  else if (startPos > UpLim4 && startPos <= LowLim4) {
    int oldPosition = 4;
  }

  else  {
    int  oldPosition = 5;
  }*/
  Wire.write(oldPosition);
  
 
}
